package labbar;

public class HumanPlayer extends Player {
    HumanPlayer(String userId) {
        super(userId);
    }

    @Override
    int takePins(Board board) {
        int input = UserInterface.askForInt("How many pins do you want to take?");
        if(input < 0) return input; // Propagate input
        int i = Math.min(board.getNoPins(), Math.min(2, input)); // Clamp input

        board.takePins(i);
        board.alert(this.getUserId(), i);
        return i;
    }
}
