package labbar;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

class PlayerTests{
    @Test void fullCpuGameTest() {
        Board b = new Board();

        b.setUp(10);
        
        // Two computer players
        Player player_a = new ComputerPlayer("Cortana");
        Player player_b = new ComputerPlayer("Alexa");

        for(boolean playerTurn = true; b.getNoPins() > 0; playerTurn = !playerTurn) {
            if(playerTurn)  player_a.takePins(b);
            else            player_b.takePins(b);
        }

        assertEquals(0, b.getNoPins());
    }
}
