package labbar;
import java.util.ArrayList;
import java.util.List;

public class TakePinsGame {
    static void abort(String message) {
        System.out.println(message);
        System.exit(0);
    }

    public static void main(String[] args) {
        Board board = new Board();
        board.setUp(10);
        // board.printState();

        List<Player> players = new ArrayList<Player>();
        players.add(new HumanPlayer("Human"));
        players.add(new ComputerPlayer("Siri"));
        players.add(new ComputerPlayer("Hal"));

        if(players.size() < 2) abort("Not enough players");

        for (int index = 0; board.getNoPins() > 0; index = (index + 1) % players.size()) {
            if(players.get(index).takePins(board) < 0) abort("User aborted game");
        }
    }
}
